Subject: Core dump from __move_loop

From: Olivier Chapuis <[email-masked]>
Date: Fri, 2 May 2003 23:06:55 +0200

I get the following core dump:

#0  FCheckWindowEvent (display=0x80eb418, w=8389041, event_mask=32,
    event_return=0x0) at FEvent.c:330
330                     *event_return = fev_event;
(gdb) where
#0  FCheckWindowEvent (display=0x80eb418, w=8389041, event_mask=32,
    event_return=0x0) at FEvent.c:330
#1  0x0808a9ae in HandlePaging (pev=0x0, HorWarpSize=1024, VertWarpSize=768,
    xl=0xbfffea0c, yt=0xbfffea10, delta_x=0xbfffea04, delta_y=0xbfffea08,
    Grab=0, fLoop=0, do_continue_previous=1) at virtual.c:533
#2  0x08067608 in __move_loop (exc=0x1, XOffset=-6, YOffset=-161, Width=522,
    Height=322, FinalX=0xbfffeeb8, FinalY=0xbfffeebc, do_move_opaque=1)
    at move_resize.c:2001
#3  0x08065b94 in InteractiveMove (win=0x1, exc=0x82113c8, FinalX=0xbfffeeb8,
    FinalY=0xbfffeebc, do_start_at_pointer=-6) at move_resize.c:1010
#4  0x080664d7 in __move_window (cond_rc=0xbffff0b4, exc=0x82113c8,
    action=0x822f304 "", do_animate=0, mode=-161) at move_resize.c:1408
#5  0x0806682b in CMD_Move (cond_rc=0xbffff0b4, exc=0x82113c8,
    action=0x822f304 "") at move_resize.c:1461
#6  0x080998a5 in __execute_function (cond_rc=0xbffff0b4, exc=0x8211348,
    action=0x82113c8 "E", exec_flags=128 '\200', args=0x822f304)
    at functions.c:602
#7  0x08099d77 in __run_complex_function_items (cond_func_rc=0xbffff0b4,
    cond=109 'm', func=0x1, exc=0x8211348, args=0xbffff140) at functions.c:787
#8  0x0809a158 in execute_complex_function (cond_rc=0xbffff1dc, exc=0x81e2bd8,
    action=0x8211348 "E", desperate=0x6d) at functions.c:1080
#9  0x0809992a in __execute_function (cond_rc=0xbffff1dc, exc=0x81267f8,
    action=0x81e2bd8 "E", exec_flags=0 '\0', args=0x81e7798) at functions.c:621
#10 0x0809a52f in execute_function (cond_rc=0x0, exc=0x81267f8,
    action=0x811dc70 "FuncFvwmMoveOrRaiseOrShade", exec_flags=0 '\0')
    at functions.c:1193
#11 0x0806045c in __handle_bpress_action (exc=0x81267f8,
    action=0x811dc70 "FuncFvwmMoveOrRaiseOrShade") at events.c:568
#12 0x080606ac in __handle_bpress_on_managed (exc=0x811dc70) at events.c:673
#13 0x08060745 in HandleButtonPress (ea=0xbffff314) at events.c:717
#14 0x080639b8 in dispatch_event (e=0xbffff360) at events.c:3261
#15 0x08063a70 in HandleEvents () at events.c:3299
#16 0x0808457c in main (argc=3, argv=0xbffff8a4) at fvwm.c:2433
#17 0x401fc082 in __libc_start_main () from /lib/i686/libc.so.6

I think I can fix it, but Dominik I think it is better that you
fix it.

Regards, Olivier
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: [email-masked]
Date: Sun, 4 May 2003 19:29:35 +0200

>     Grab=0, fLoop=0, do_continue_previous=1) at virtual.c:533

Fixed.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]